## org.apache.lucene.index
Interface IndexCommitPoint

    public interface IndexCommitPoint

Method Summary
`void` `delete()` Delete this commit point.
`Collection` `getFileNames()` Returns all index files referenced by this commit point.
`String` `getSegmentsFileName()` Get the segments file (`segments_N`) associated with this commit point.

Method Detail

### getSegmentsFileName

    String getSegmentsFileName()

  Get the segments file (`segments_N`) associated with this commit point.

### getFileNames

    Collection getFileNames()
                            throws IOException

  Returns all index files referenced by this commit point.

  Throws:
    `IOException`

### delete

    void delete()

  Delete this commit point.

  Upon calling this, the writer is notified that this commit point should be deleted.

  Decision that a commit-point should be deleted is taken by the `IndexDeletionPolicy` in effect and therefore this should only be called by its `onInit()` or `onCommit()` methods.

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.